/*
 * Copyright 2006 Mask@ Project.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.maskat.framework.eventdef;

import java.util.Iterator;

import org.maskat.framework.BasicDef;

public class Source extends BasicDef {

	private String obj;

	private String node;

	private String idxRef;

	private String childNode;

	private String fromkey;

	private String type;

	private String desc;

	private String min;

	private String max;

	private String regexp;

	private String teleType;

	private String sendBlankElement;

	public String getDesc() {
		return desc;
	}

	public void setDesc(String desc) {
		this.desc = desc;
	}

	public String getMax() {
		return max;
	}

	public void setMax(String max) {
		this.max = max;
	}

	public String getMin() {
		return min;
	}

	public void setMin(String min) {
		this.min = min;
	}

	public String getRegexp() {
		return regexp;
	}

	public void setRegexp(String regexp) {
		this.regexp = regexp;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public Iterator getBindsIt() {
		return this.getTypedChildren(Bind.class);
	}

	public String getChildNode() {
		return childNode;
	}

	public void setChildNode(String childNode) {
		this.childNode = childNode;
	}

	public String getFromkey() {
		return fromkey;
	}

	public void setFromkey(String fromkey) {
		this.fromkey = fromkey;
	}

	public String getIdxRef() {
		return idxRef;
	}

	public void setIdxRef(String idxRef) {
		this.idxRef = idxRef;
	}

	public String getNode() {
		return node;
	}

	public void setNode(String node) {
		this.node = node;
	}

	public String getObj() {
		return obj;
	}

	public void setObj(String obj) {
		this.obj = obj;
	}

	public String getTeleType() {
		return teleType;
	}

	public void setTeleType(String teleType) {
		this.teleType = teleType;
	}

	public String getSendBlankElement() {
		return sendBlankElement;
	}

	public void setSendBlankElement(String sendBlankElement) {
		this.sendBlankElement = sendBlankElement;
	}

}
